//Tu jest Cufon + obsługa frontSlide i karuzeli + drop down menu z topu

//M.Szwed



//Cufon.replace('h1', { fontFamily: 'MyriadPro'} );

//Cufon.replace('h2', { fontFamily: 'MyriadPro'

//                    } );

//Cufon.replace('h3', { fontFamily: 'MyriadPro'} );

//Cufon.replace('h4', { fontFamily: 'MyriadPro'} );

//Cufon.replace('a.myriad', { fontFamily: 'MyriadPro'} );

//Cufon.replace('strong', { fontFamily: 'Usa'} );

//



$(document).ready(function () {



	//$('a.media').media();



	//swfobject.registerObject("myFlashContent", "9.0.0");





	//	$("a[rel^='prettyPhoto']").prettyPhoto();



	//	$.mobile.loadingMessageTextVisible = false;



	//	karuzela:

	//	$(".securityCarousel").jCarouselLite({

	//		auto: 3000,

	//		height: 200,

	//		vertical: true

	//	});







	//	var msg = "The WPF plug-in for Firefox is ";

	//	var wpfPlugin = navigator.plugins["Windows Presentation Foundation"];

	//	if( wpfPlugin != null ) {

	//		document.writeln(msg + " installed.");

	//	}

	//	else {

	//		document.writeln(msg + " not installed. Please install or reinstall the .NET Framework 3.5.");

	//	}



});


//
//
//$(function() {
//
//	$('.jcarousel').jcarousel({
//
//		wrap: 'circular',
//
//		animation: {
//
//			duration: 12000,
//
//			easing:   'linear',
//
//			complete: function() {
//
//			}
//
//		}
//
//	})
//
//	.jcarouselAutoscroll({
//
//		interval: 4,
//
//		target: '+=4',
//
//		autostart: true
//
//	});
//
//});
//
//
//
//
//
//$('.jcarousel').jcarouselAutoscroll('reload');






function GetTableContent(url, search, period) {

	//	var loading = $("body").busyBox({

	//		spinner: 'Loading...'

	//	});

	$.prettyLoader.show();

	//alert('aaa');



	$.ajax({
		type: "POST",
		url: url,
		cache: false,
		data: ({search: search, period: period}),
		success: function (html) {

			$('#tableContent').html(html);

			//loading.busyBox('close');

			$.prettyLoader.hide();

		}

	});



}



function SendForm(form, val) {



	var action = val;

	$(form).attr("action", action);



}





function menuRwd() {



	//alert($('#menu').css('display'));







	if ($('.menu').css('display') == 'none') {

		$('.menu').show('slow');

	} else {

		$('.menu').hide('slow');

	}



}





function showTextarea(idCheckbox, idTextarea) {

	val = $(idCheckbox).is(':checked');

	//alert(val);

	if (val == true) {

		$(idTextarea).show();



	} else {

		$(idTextarea).hide();

	}

}







$(function () {

//	window.addEventListener('resize', function () {
		if (window.innerWidth > 780) {

			$('#nav li').hover(function () {

				clearTimeout($.data(this, 'timer'));

				$('ul', this).stop(true, true).slideDown(200);

			}, function () {

				if (document.body.offsetWidth > 600) {

					$.data(this, 'timer', setTimeout($.proxy(function () {

						$('ul', this).stop(true, true).slideUp(200);

					}, this), 200));

				} else {

					$('ul', this).click(function () {

						$('ul', this).slideUp(200);

					});

				}

			});
		}
	});
//});





jQuery(document).ready(function ($) {



	$('#banner-fade').bjqs({
		width: 1200,
		height: 390,
		// animation values

		animtype: 'fade', // accepts 'fade' or 'slide'

		animduration: 2650, // how fast the animation are

		animspeed: 6000, // the delay between each slide

		automatic: true, // automatic



		// control and marker configuration

		showcontrols: false, // show next and prev controls

		centercontrols: false, // center controls verically

		nexttext: '&nbsp;', // Text for 'next' button (can use HTML)

		prevtext: '&nbsp;', // Text for 'previous' button (can use HTML)

		showmarkers: true, // Show individual slide markers

		centermarkers: true, // Center markers horizontally



		// interaction values

		keyboardnav: true, // enable keyboard navigation

		hoverpause: true, // pause the slider on hover



		// presentational options

		usecaptions: true, // show captions for images using the image title tag

		randomstart: false, // start slider at random slide

		responsive: true // enable responsive capabilities (beta)

	});

	var cw = $('.bjqs').height() - 100;
	//alert(cw);
	$('.Panel2_aktualnosci').css({'height': cw + 'px'});


});


$(document).ready(function () {
	// Using default configuration
	// $('#carousel').carouFredSel();
	//	Responsive layout, resizing the items
//	$('#carousel').carouFredSel({
//		responsive: true,
//		width: '100%',
//		scroll : {
//			items           : 1,
//			easing          : "linear",
//			duration        : 3000,
//			pauseOnHover    : true
//		},
//		auto: {
//			timeoutDuration: 0
//		},
//		items: {
//			//width: 400,
//			//	height: '75',	//	optionally resize item-height
//			visible: {
//				min: 2,
//				max: 5
//			}
//		}
//	});
	//
	//	$('#slider').nivoSlider({
	//    effect: 'fade',               // Specify sets like: 'fold,fade,sliceDown'
	//    slices: 15,                     // For slice animations
	//    boxCols: 8,                     // For box animations
	//    boxRows: 4,                     // For box animations
	//    animSpeed: 500,                 // Slide transition speed
	//    pauseTime: 3000,                // How long each slide will show
	//    startSlide: 0,                  // Set starting Slide (0 index)
	//    directionNav: true,             // Next & Prev navigation
	//    controlNav: true,               // 1,2,3... navigation
	//    controlNavThumbs: false,        // Use thumbnails for Control Nav
	//    pauseOnHover: true,             // Stop animation while hovering
	//    manualAdvance: false,           // Force manual transitions
	//    prevText: 'Prev',               // Prev directionNav text
	//    nextText: 'Next',               // Next directionNav text
	//    randomStart: false,             // Start on a random slide
	//    beforeChange: function(){},     // Triggers before a slide transition
	//    afterChange: function(){},      // Triggers after a slide transition
	//    slideshowEnd: function(){},     // Triggers after all slides have been shown
	//    lastSlide: function(){},        // Triggers when last slide is shown
	//    afterLoad: function(){}         // Triggers when slider has loaded
	//});
	//
	//	// Using custom configuration
	//	$('#carousel').carouFredSel({
	//		direction           : "left",
	//		scroll : {
	//			items           : 1,
	//			easing          : "elastic",
	//			duration        : 1000,
	//			pauseOnHover    : true
	//		},
	//		auto : {
	//			play           : true
	//		},
	//		items : {
	//			visible: 8
	//		}
	//	});
});



function showHide(idBox) {
	alert(val);
        alert(idBox);
	if ($(idBox).css("display") !== "none") {
		$(idBox).hide();
	} else {
		$(idBox).show('swing');
	}
	$('.hide').not(idBox).hide();
}

function showHideAll(idBox) {

	$('.hide').not('#' + idBox).hide();

}

function setCookie(c_name, value, exdays)
{
	var exdate = new Date();
	exdate.setDate(exdate.getDate() + exdays);
	var c_value = escape(value) + ((exdays == null) ? "" : "; expires=" + exdate.toUTCString());
	document.cookie = c_name + "=" + c_value;

	$("#polityka").hide('fade');
	//location.reload();
}


$(function () {
	$(".main a").each(function () {
		$(this).attr("rel", "external");
	});
});

function splitPhone() {
	$('#phone').each(function () {
		this.value = this.value.toString().split(" ").join("").split("-").join("").split("+").join("00");
	});
}


function GetFormContent(url, tableContent, type) {
	$.ajax({
		type: "POST",
		url: url,
		cache: false,
		data: ({type: type}),
		success: function(html){
			$(tableContent).html(html).fadeIn('slow');
		}
	});
}



function showOptions(idCheckbox, idBox) {

	val = $(idCheckbox).is(':checked');

	alert(val);
        alert(idBox);

	if (val == true) {

		$(idBox).show();



	} else {

		$(idBox).hide();

	}

}
